Name: gtksql
Summary: GtkSQL is a graphical database query tool for MySQL and PostgreSQL.
Version: 0.4.1
Release: 1
Copyright: GPL
Group: Applications/Databases
Source: http://prdownloads.sourceforge.net/gtksql/gtksql-%{version}.tar.gz
#Patch: %{name}-%{version}.patch
Packager: Darryl Luff <djluff@users.sourceforge.net>
Vendor: http://gtksql.sourceforge.net/
Buildroot: /var/tmp/%{name}-root

# Avoid errors with the doc files
%define _unpackaged_files_terminate_build 0

%description
GtkSQL is a graphical database query tool for the PostgreSQL and MySQL
databases.

It is similar to PostgreSQL's psql, or the Microsoft Query Analyser. It
is a free tool released under the GNU GPL license.

Its main features are :

* multiple SQL buffers
* SQL keywords, table names and fields auto-completion
* displays table definition
* PostgreSQL and MySQL support (and easy addition of other databases)

GtkSQL is written using GTK, and should run on any system that has GTK
installed.

%prep
%setup
#%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/gtksql
%{_mandir}/man1/gtksql.1.gz
%{_datadir}/gtksql/pixmaps/gtksql.xpm
%{_datadir}/applications/gtksql.desktop
%{_datadir}/gtksql/pixmaps/gtksql_gnome_icon.png

%changelog
* Sat Sep 6 2003 Darryl Luff <djluff@users.sourceforge.net>
- RPM release

