/** \file gtk_treeview.h	Tree view.
 * \author Darryl Luff
 * \addtogroup uigtk */
/* GtkSQL -- an interactive graphical query tool for PostgreSQL, MySQL and
 * SQLite.
 * Copyright (C) 2004 Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __GTK_TREEVIEW_H
#define __GTK_TREEVIEW_H

void treeview_do_copy(GtkWidget *widget);
gchar *treeview_get_selected_fields(void);
gchar *treeview_get_selected_tables(void);
void treeview_hide(void);
void treeview_init(void);
void treeview_new_connection(void);

#endif
