/** \addtogroup uigtk
 *@{
 */
/** \file gtk_callbacks.h	GTK callbacks.
 * \author Darryl Luff	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 2003-2004 Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>
#define APPNAME	"GtkSQL"

void on_about_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_aboutCloseBtn_clicked(GtkButton * button, gpointer user_data);
void on_connect_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_copy_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_cut_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_disconnect_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_exportCancelBtn_clicked(GtkButton * button, gpointer user_data);
void on_exportOKBtn_clicked(GtkButton * button, gpointer user_data);
void on_main_destroy_event(GtkObject * object, gpointer user_data);
void on_mnuPreferences_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_mnuScriptSaveAs_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_mnuViewRefresh_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_mnuViewToolbar_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_mnuViewTreeview_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_paste_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_queryClear_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_queryClose_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_queryImportCanelBtn_clicked(GtkButton * button, gpointer user_data);
void on_queryImportOKBtn_clicked(GtkButton * button, gpointer user_data);
void on_queryNew_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_queryOpen_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_querySave_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_querySaveAs_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_querySaveCancelBtn_clicked(GtkButton * button, gpointer user_data);
void on_querySaveOKBtn_clicked(GtkButton * button, gpointer user_data);
void on_querySend_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_quit_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_resultExport_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_resultPopupPrint_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_resultPrint_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_tbCloseBtn_clicked(GtkButton * button, gpointer user_data);
void on_tbConnectBtn_clicked(GtkButton * button, gpointer user_data);
void on_tbDisconnectBtn_clicked(GtkButton * button, gpointer user_data);
void on_tbExportBtn_clicked(GtkButton * button, gpointer user_data);
void on_tbLoadBtn_clicked(GtkButton * button, gpointer user_data);
void on_tbNewBtn_clicked(GtkButton * button, gpointer user_data);
void on_tbSaveAsBtn_clicked(GtkButton * button, gpointer user_data);
void on_tbSendBtn_clicked(GtkButton * button, gpointer user_data);
void on_tbRefreshBtn_clicked(GtkButton * button, gpointer user_data);
gboolean on_main_delete_event(GtkWidget * widget, GdkEvent * event,
							  gpointer user_data);
void on_redo_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_refresh_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_treeDeleteQuery_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_treeInsertQuery_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_treeSelectQuery_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_treeUpdateQuery_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_undo_activate(GtkMenuItem * menuitem, gpointer user_data);
